package u8c.ui.mmpac.action;

import nc.hr.frame.persistence.BaseDAOManager;
import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.AbstractAction;
import nc.ui.hr.frame.button.AbstractBtnReg;
import nc.ui.hr.frame.impl.MainBillMgrPanel;

import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mmpac.datamodel.OrderDataModel;
import u8c.ui.mmpac.panel.OrderMainPanel;
import u8c.ui.mmpac.panel.OrderTestUI;
import u8c.vo.OrderMainVO;

public class OrderUnApproveAction extends AbstractAction {
	OrderTestUI frameUI = null;
	BaseDAOManager dao = new BaseDAOManager();

	public OrderUnApproveAction(FrameUI frameUI) {
		super(frameUI);
		this.frameUI = (OrderTestUI) frameUI;
	}

	@Override
	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		int selectedRow = ((OrderMainPanel) getMainPanel()).getSelectedRow();
		HRAggVO s =  (HRAggVO) mainMgrPanel.getMainBillCardPanel().getData();
		if (null != s && s != null){
			OrderMainVO headvo = (OrderMainVO) s.getParentVO();
			if (headvo.getBillstatus() != IBillStatus.CHECKPASS){
				throw new ValidationException("非审批态单据不允许取消审批");
			}
			headvo.setBillstatus(IBillStatus.FREE);
			headvo.setPk_approver("");
		}
		((OrderDataModel)this.frameUI.getDataModel()).execApprove(s);

		getFrameUI().getBtnManager().getCmdByID(AbstractBtnReg.SYSBTN_REFRESH).execute();
	}
}
