package u8c.ui.mmpac.action;

import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.DeleteAction;
import nc.ui.hr.frame.impl.MainBillMgrPanel;

import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mmpac.panel.OrderMainPanel;
import u8c.vo.OrderMainVO;


public class OrderDeleteAction extends DeleteAction {
	public OrderDeleteAction(FrameUI frameUI) {
		super(frameUI);
	}

	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		
		int selectedRow = ((OrderMainPanel) getMainPanel()).getSelectedRow();
		
		HRAggVO s = (HRAggVO) mainMgrPanel.getMainBillCardPanel().getData();
		
		if (null != s && s != null){
			OrderMainVO headvo = (OrderMainVO) s.getParentVO();
			if (headvo.getBillstatus()!=IBillStatus.FREE){
				throw new ValidationException("非自由态单据不允许删除");
		    }
		}
		super.execute();
	}
}
