package u8c.ui.mmpac.action;

import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.BrowseFromListToCardAction;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.ui.hr.frame.state.StateRegister;

import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mmpac.panel.OrderMainPanel;
import u8c.ui.mmpac.panel.OrderTestUI;
import u8c.vo.OrderMainVO;

public class OrderEditAction extends BrowseFromListToCardAction{
	public OrderEditAction(FrameUI frameUI) {
		super(frameUI);
	}

	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		int selectedRow = ((OrderMainPanel) getMainPanel()).getSelectedRow();
		HRAggVO s = (HRAggVO) mainMgrPanel.getMainBillCardPanel().getData();
		if (null !=s && s != null){
			OrderMainVO headvo = (OrderMainVO) s.getParentVO();
			if (headvo.getBillstatus() != IBillStatus.FREE){
				throw new ValidationException("非自由态单据不可编辑");
			}
		}
		
		super.execute();
		
		OrderTestUI ui = (OrderTestUI)this.getFrameUI();
		ui.getBillCardPanel().setHeadItem(OrderMainVO.PK_CORP, PubEnv.getPk_corp());
		
		getDataModel().setRollBackState(getDataModel().getCurrentState());
        
        getDataModel().setCurrentState(StateRegister.STATE_EDIT);
        
        getMainPanel().setMainPanelEnabled(true);
	}
}
